package org.ow2.bonita.facade.internal;

import java.rmi.RemoteException;

import org.ow2.bonita.facade.uuid.PackageDefinitionUUID;
import org.ow2.novabpm.util.Command;

/**
 * For internal use only.
 */
public interface InternalCommandAPI {

  <T> T execute(Command<T> command) throws Exception, RemoteException;
  <T> T execute(Command<T> command, PackageDefinitionUUID packageUUID) throws Exception, RemoteException;
  
}
